Aktuelle Nightly Version - Scripte funktionieren nicht mehr

Du benötigst Hilfe bezüglich Firefox? Bitte stelle deine Frage im öffentlichen Bereich des Forums und nicht per Konversation an wahllos ausgesuchte Benutzer. Wähle dazu einen passenden Forenbereich, zum Beispiel „Probleme auf Websites“ oder „Erweiterungen und Themes“ und klicke dann rechts oben auf die Schaltfläche „Neues Thema“.

  • und übernehmt es dann in den aktiven Fuchs?


    Die heute angepassten Scripte funktionieren auch in der aktuellen Fx Version 67 schon fast alle.


    auf uns "Normalfirefoxnutzer mit Änderungsanpassung" zu


    Fast alle CSS Codes mit eigenen Icons müssen geändert werden.
    Fast alle Scripte müssen ebenfalls geändert werden.
    Hat aber Zeit bis Fx 69 Final ist :wink:


  • Moin,
    kleine Verständnisfrage.


    Kommt dieses Desaster auch in späteren Versionen auf uns "Normalfirefoxnutzer mit Änderungsanpassung" zu oder bügelt Ihr das ganze schon im Nightly aus und übernehmt es dann in den aktiven Fuchs?


    Erstens ist das kein Desaster. Zweitens werden Benutzerskripte von Mozilla nicht offiziell unterstützt. Ich denke, dass wir dir das auch bereits geschrieben haben. Drittens wird es immer Änderungen in Firefox geben, so dass etwas angepasst werden muss, auch wenn Mozilla Benutzerskripte offiziell unterstützt. Mozilla entwickelt Firefox und nur Firefox. Webextensions, Benutzerskripte und Benutzer-CSS bleiben außen vor. Mozilla bietet diesen lediglich eine Schnittstelle für den Zugriff auf Firefox.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

    Einmal editiert, zuletzt von milupo ()


  • Dieser Eintrag:
    @-moz-document url(chrome://browser/content/browser.xhtml){


    ist in keinem meiner Codes mehr enthalten.


    Bei mir funktioniert es aber dennoch - ich habe noch diese Zeile drinnen:


    Code
    @namespace url(http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul);

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook


  • Ferner geht mir der Button für extraconfigmenu.uc.js noch ab.. der fehlt...


    Die zugehörige CSS-Datei hast du?

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • milupo, die CSS-Datei zum Skript UserCSSLoader.uc.js. angelegt. Das Symbol ist bei mir aber nicht sichtbar in der Menu-Leiste.

    Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:93.0) Gecko/20100101 Firefox/93.0, Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:95.0) Gecko/20100101 Firefox/95.0a1 , Windows 11 Pro Version 21H2 (Build 22000.282)


  • Bei mir funktioniert es aber dennoch -


    Klar, aber eben auch ohne.


    ich habe noch diese Zeile drinnen:


    Auch den Eintrag habe ich inwischen überall entfernt.


    Änderungen über die userChrome.css Datei beziehen sich ja immer nur auf die Oberfläche vom Firefox, daher brauchen diese zusätzlichen Einträge meiner Meinung nach nicht mehr vorhanden sein.


  • Änderungen über die userChrome.css Datei beziehen sich ja immer nur auf die Oberfläche vom Firefox, daher brauchen diese zusätzlichen Einträge meiner Meinung nach nicht mehr vorhanden sein.


    Auch gut, erspart viel Schreib- na, gut, Kopierarbeit. :)

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook


  • milupo, die CSS-Datei zum Skript UserCSSLoader.uc.js. angelegt. Das Symbol ist bei mir aber nicht sichtbar in der Menu-Leiste.


    Du hast hast dort browser.xul in browser.xhtml geändert? Ansonsten probiere es ohne die beiden ersten Zeilen, die mit @namespace bzw. @-moz-document anfangen. Bei 2002Andreas scheint das zu funktionieren.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook


  • Die zugehörige CSS-Datei hast du?


    Sollte diese sein:


  • Dann aber nicht vergessen..am Ende vom Code jeweils die letzte } noch zu entfernen :!:


    Oha, ja, danke für den Hinweis.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook


  • Sollte diese sein:


    Kontrolliere das Skript nochmal. Hast du createXULElement richtig geschrieben?


    Edit: Welchen Wert hast du der Variable warpmenuto zugewiesen?

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook


  • Heiß das dann für mich z. B. aus diesem Code:
    @-moz-document url("about:addons"),
    url-prefix("chrome://mozapps/content/extensions/extensions.xul"){


    wird:
    ("about:addons"), {


    oder bleibt es hier so bestehen, wie es ist?


    Was ist mit den ganzen /*AGENT SHEET*/ Einträgen?

    Freundliche Grüße
    Barbara


    ____________

  • milupo, jetzt passt`s. Danke für deine Geduld. :D

    Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:93.0) Gecko/20100101 Firefox/93.0, Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:95.0) Gecko/20100101 Firefox/95.0a1 , Windows 11 Pro Version 21H2 (Build 22000.282)

  • Also Barbara, du musst schon etwas mehr bieten. Warum kopierst du denn nicht den kompletten Code zwischen code und /code? Ist das überhaupt ein Skript oder eine CSS-Datei? Was ist das Problem genau?

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook


  • milupo, jetzt passt`s. Danke für deine Geduld. :D


    Bitte, gern geschehen.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Sorry Milupo,


    es handelt sich um einen CSS-Code.
    Habe es leider falsch interpretiert. :oops:


    Nun weis ich, das es sich um Scripte handelt.

    Freundliche Grüße
    Barbara


    ____________